:root {
    --clr-main: #4b33a8;
    --clr-main-light: #876cf3;
    --clr-white: #ececec;
    --clr-gray: #e2e2e2;
    --clr-red: #da1313;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Arial', sans-serif;
}
h1, h2, h3, h4, h5, h6, p, a, input, textarea, ul {
    margin: 0;
    padding: 0;
}
ul {
    list-style-type: none;
}
a {
    text-decoration: none;
}
.wrapper {
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: var(--clr-main);
}
aside {
    padding: 0 0 2rem 2rem;
    padding-right: 0;
    color: var(--clr-white);
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
img {
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */
    user-select: none;
}
aside header {
    width: 90%;
    margin-top: 1rem;
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
}
.logo {
    max-width: 180px;
    display: flex;
    justify-content: end; 
    align-items: center;
}
.logo-img {
    aspect-ratio: 1/1;
    width: 80%;
    border-radius: 50%;
    box-shadow: 0 0 10px 0 rgba(121, 92, 237, 0.9);
}
.menu {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}
.boton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 1rem;
    font-weight: 600;
    padding: 1rem;
    font-size: 1rem;
    width: 100%;
}
.boton-menu.active {
    background-color: var(--clr-white);
    color: var(--clr-main);
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    position: relative;
}
.boton-menu.active::before {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    bottom: 100%;
    right: 0;
    background-color: transparent;
    border-bottom-right-radius: .5rem;
    box-shadow: 0 1rem 0 var(--clr-white);
}
.boton-menu.active::after {
    content: '';
    position: absolute;
    width: 1rem;
    height: 2rem;
    top: 100%;
    right: 0;
    background-color: transparent;
    border-top-right-radius: .5rem;
    box-shadow: 0 -.7rem 0 var(--clr-white);
}
.boton-menu > i.bi-hand-index-thumb-fill,
.boton-menu > i.bi-hand-index-thumb {
    transform: rotateZ(90deg);
}
.numerito {
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .15rem .25rem;
    border-radius: .25rem;
}
.boton-carrito.active .numerito {
    background-color: var(--clr-main);
    color: var(--clr-white);
}
.texto-footer  img{
    margin-left: 5px;
    aspect-ratio: 1/1;	
    border: 1px solid var(--clr-white);    
}
main {
    background-color: var(--clr-white);
    margin: 1rem;
    margin-left: 0;
    border-radius: 2rem;
    padding: 1.5rem 3rem 3rem;
}
.contenedor-carrito {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;    
}
.titulo-principal-carrito{
    color: var(--clr-main);
    margin-bottom: 2rem;
}
.carrito-vacio,
.carrito-comprado,
.carrito-warning {
    color: var(--clr-main);
}
.carrito-productos {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.carrito-producto {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    background-color: var(--clr-gray);
    color: var(--clr-main);
    padding: .5rem;
    border-radius: 1rem; 
    gap: .5rem;   
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.3);
}
.carrito-producto-contenedor-imagen{
    width: 4rem;
    border-radius: .5rem;
    position: relative;
}
.carrito-producto-imagen {
    width: 100%;
    border-radius: .5rem;
    position: relative;
}
.carrito-producto-contenedor-imagen.agotado::before {
    content: "";
    width: 100%;
    height: 100%;
    background-image: url(./AgotadoSmall.png);
    background-repeat: no-repeat;
    background-position: center;
    opacity: 1;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1; 
    border-radius: .5rem;
}
.carrito-producto-titulo {
    width: 10rem;    
}
.carrito-producto-contenedor{
    width: 50%;
    align-items: center;
    justify-content: space-between;
    display: flex;
    gap: .5rem;
}
.carrito-producto-stock{
    text-align: center;
}
.carrito-producto-cantidad{
    text-align: center;
    min-width: 70px;
}
.divCantidad{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: .3rem; 
}
.btnRemover, .btnAgregar{
    border: 0;
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--clr-main);
    background-color: transparent;
    border-radius: 5px;
    outline: none;
    line-height: 0;
}
.btnDisabled{
    color: var(--clr-gray);
    cursor: not-allowed;
}
.carrito-producto-precio{
    text-align: center;
    max-width: 6rem; 
}
.carrito-producto-subtotal{
    min-width: 67px;
    text-align: center;
}
.carrito-producto small {
    font-size: .75rem;
}
.carrito-producto-eliminar {
    border: 0;
    padding: .5rem;
    border-radius: 50%;
    background-color: var(--clr-white);
    color: var(--clr-red);
    cursor: pointer;
}
.carrito-acciones {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: end;
}
.carrito-acciones-vaciar {
    height: 100%;
    border: 0;
    font-size: 1rem;
    background-color: var(--clr-main);
    padding: 1rem .5rem;
    border-radius: 1rem;
    color: var(--clr-gray);
    text-transform: uppercase;
    cursor: pointer; 
}
.carrito-acciones-total{
    padding: 1rem;
    display: flex;
    text-transform: uppercase;
    color: var(--clr-main);
    justify-content: space-between;
    align-items: end;   
    gap: .5rem;
    text-align: right;    
}
.total, .cantidadTotal{
    min-width: 80px;
}
.carrito-acciones-comprar {
    font-size: 1rem;
    display: flex;
    height: 100%;
    border: 0;
    background-color: var(--clr-main);
    padding:  .5rem;
    color: var(--clr-white);
    text-transform: uppercase;
    cursor: pointer;
    border-radius: 1rem;
    align-items: center;
}
.bi-whatsapp{
    font-size: 2rem;
    padding: 0 .5rem;
}
.header-mobile {
    display: none;
}
.close-menu {
    display: none;
}
.disabled {
    display: none;
}

/*** MEDIA QUERIES ***/
@media screen and (max-width: 950px) {
    main {
        padding: 1.5rem;
    }
}
@media screen and (max-width: 840px){
    .carrito-producto {
        justify-content: flex-start;        
    }
    .carrito-producto-contenedor{
        position: relative;
        width: 100%;
        justify-content: space-around;
    }  
    .carrito-producto-eliminar{
        position: absolute;
        top: -75px;
        right: 0;
    }  
}
@media screen and (max-width: 600px) {
    .wrapper {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }
    aside {
        position: fixed;
        z-index: 9;
        background-color: var(--clr-main);
        left: 0;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .75);
        transform: translateX(-100%);
        opacity: 0;
        border-radius: 0rem 1rem 1rem 0rem;
        visibility: hidden;
        transition: .2s;
    }
    .aside-visible {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }
    .boton-menu.active::before,
    .boton-menu.active::after {
        display: none;
    }
    main {
        margin: 1rem;
        margin-top: 7.5rem;
        padding: 2rem;       
    }
.header-mobile {
    position: fixed;
    width: 100%;
    height: 6.5rem;
    background-color: var(--clr-main);
    padding: .5rem 1rem 0 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 .25rem 1rem .15rem var(--clr-main);
    z-index: 1000;
    color: var(--clr-gray);        
}
.icons{
    width: 40%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.logoMobile{
    width: 90px;
    width: 90px;
    border-radius: 50%; 
    
}
.logoMobile img{
    aspect-ratio: 1/1;
    border-radius: 50%;
    width: 100%;
    box-shadow: 0 0 10px 0 rgba(121, 92, 237, 0.9);
 }
.open-menu {
    background-color: transparent;
    color: var(--clr-gray);
    border: 0;
    font-size: 2rem;
    cursor: pointer;
}
.close-menu {
    display: block;
    position: absolute;
    top: .5rem;
    right: .5rem;
    border-radius: 50%;
    background-color: var(--clr-main-light);
    line-height: 0;
    color: var(--clr-gray);
    border: 0;    
    font-size: 1.7rem;
    cursor: pointer;
}
.list{
    font-size: 2.5rem;
}

.carrito-producto {
    gap: .5rem;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding: .5rem;
}
}
@media screen and (max-width: 500px){
    main{
        padding: 1rem;
    }
}
@media screen and (max-width: 320px) {
    main{
        padding: 1rem;
    }
    .logoMobile{
        width: 70px;
        height: 70px;
     }
}